Register phone for an app

This API endpoint enables partners to register their Phone Number (PN) for WhatsApp Business onboarding. This is a critical operation that initiates the registration process with WhatsApp services, linking a phone number to the partner application.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

KeyDescriptionValueData typeRequired/OptionalConstraints
AuthorizationPartner app access token issued post partner login{{PARTNER_APP_TOKEN}}StringRequiredShould be a valid Partner app access token belonging to the passed app ID.
appIdApp ID to fetch the access token{{APP_ID}}StringRequiredValid app ID
regionData Localization Region for the appOptionalDefault is IN.

Sample Request

curl --location 'https://partner.gupshup.io/partner/app/:appId/onboarding/register' \
--header 'Authorization: {{PARTNER_APP_TOKEN}}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'region=IN'

Sample Response

{
	"status": "success",
	"success": true
}

Status Codes

Status CodeResponseComments
Success
200{
"status": "success",
"success": true
}
Error
400{
"status":"error",
"message/data":"<Specific to API>"
}
Error with respect to API
401{
"status":"error",
"message":"Unauthorized Access"
}
When authentication fails
429Too Many RequestsWhen rate limit is hit
500{
"status": "error",
"message": "Internal Server Error"
}
For any Internal Error
Path Params
string
required
Form Data
string

Optional

Headers
string
required

Your app token, please refer Get access token api to get the token from partner documentation.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json